﻿// migration from java to .NET by SimpleDB# group, 
// http://cs.tju.edu.cn/faculty/zhangkl/projects/simpledbsharp/index.htm


namespace simpledb.parse
{
    /// <summary>
    /// The parser for the <i>create index</i> statement.
    /// </summary>
    /// <author>Edward Sciore</author>
    public class CreateIndexData
    {
        private string idxname, tblname, fldname;

        /// <summary>
        /// Saves the table and field names of the specified index.
        /// </summary>
        /// <param name="idxname"></param>
        /// <param name="tblname"></param>
        /// <param name="fldname"></param>
        public CreateIndexData(string idxname, string tblname, string fldname)
        {
            this.idxname = idxname;
            this.tblname = tblname;
            this.fldname = fldname;
        }

        /// <summary>
        ///  Returns the name of the index.
        /// </summary>
        /// <returns>the name of the index</returns>
        public string indexName()
        {
            return idxname;
        }

        /// <summary>
        /// Returns the name of the indexed table.
        /// </summary>
        /// <returns>he name of the indexed table</returns>
        public string tableName()
        {
            return tblname;
        }

        /// <summary>
        /// Returns the name of the indexed field.
        /// </summary>
        /// <returns>the name of the indexed field</returns>
        public string fieldName()
        {
            return fldname;
        }
    }
}
