﻿// migration from java to .NET by SimpleDB# group, 
// http://cs.tju.edu.cn/faculty/zhangkl/projects/simpledbsharp/index.htm

using simpledb.record;

namespace simpledb.parse
{
    /// <summary>
    /// Data for the SQL <i>create table</i> statement.
    /// </summary>
    /// <author>Edward Sciore</author>
    public class CreateTableData
    {
        private string tblname;
        private Schema sch;

        /// <summary>
        /// Saves the table name and schema.
        /// </summary>
        /// <param name="tblname"></param>
        /// <param name="sch"></param>
        public CreateTableData(string tblname, Schema sch)
        {
            this.tblname = tblname;
            this.sch = sch;
        }

        /// <summary>
        /// Returns the name of the new table.
        /// </summary>
        /// <returns>the name of the new table</returns>
        public string tableName()
        {
            return tblname;
        }

        /// <summary>
        /// Returns the schema of the new table.
        /// </summary>
        /// <returns>the schema of the new table</returns>
        public Schema newSchema()
        {
            return sch;
        }
    }
}
