﻿// migration from java to .NET by SimpleDB# group, 
// http://cs.tju.edu.cn/faculty/zhangkl/projects/simpledbsharp/index.htm

using simpledb.query;

namespace simpledb.parse
{
    /// <summary>
    /// Data for the SQL <i>delete</i> statement.
    /// </summary>
    /// <author>Edward Sciore</author>
    public class DeleteData
    {
        private string tblname;
        private Predicate i_pred = new Predicate();

        /// <summary>
        /// Saves the table name and predicate.
        /// </summary>
        /// <param name="tblname"></param>
        /// <param name="pred"></param>
        public DeleteData(string tblname, Predicate pred)
        {
            this.tblname = tblname;
            this.i_pred = pred;
        }

        /// <summary>
        /// Returns the name of the affected table.
        /// </summary>
        /// <returns>the name of the affected table</returns>
        public string tableName()
        {
            return tblname;
        }

        /// <summary>
        /// Returns the predicate that describes which
        /// records should be deleted.
        /// </summary>
        /// <returns>the deletion predicate</returns>
        public Predicate pred()
        {
            return i_pred;
        }
    }
}
