﻿// migration from java to .NET by SimpleDB# group, 
// http://cs.tju.edu.cn/faculty/zhangkl/projects/simpledbsharp/index.htm

using simpledb.tx;
using simpledb.query;
using simpledb.parse;

namespace simpledb.planner
{
    /// <summary>
    /// The interface implemented by planners for 
    /// the SQL select statement.
    /// </summary>
    /// <author>Edward Sciore</author> 
    public interface QueryPlanner
    {
        /// <summary>
        /// Creates a plan for the parsed query.
        /// </summary>
        /// <param name="data">the parsed representation of the query</param>
        /// <param name="tx">the calling transaction</param>
        /// <returns>a plan for that query</returns>
        Plan createPlan(QueryData data, Transaction tx);
    }
}
